Subject: [bug#33600] Compressing nars with lzip or similar

From: Ludovic Courtès <[email-masked]>
Date: Sat, 15 Dec 2018 19:06:21 +0100

Pierre Neidhardt <[email-masked]> skribis:

> I've done some quick research over the various options.
>
> - lzip: better than gz and bzip2 for sure, possibly better than xz (at
> least according to the author).
>
> - plzip: for "parallel lzip".  With 4 threads I was able to compress
> icecat 2.5x faster.  It used 5x more memory though.  The compression
> ratio is 1-2% worse.
>
> - lrzip: it would crash whenever I would change the compression level.
>   Seems less stable.  It's as fast as plzip, while being 1-2% less
>   compressed.  I don't think it's worth using.
>
> All in all, lzip is a definite win over most options.  The main question
> is: lzip or plzip?

‘guix publish’ has its own worker pool and handles parallelism
internally, so in that context plain sequential lzip would be more
appropriate IMO.

Ludo’.